Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::text_node::text_geometry Struct Reference

List of all members.

## Detailed Description

Holds the text geometry.

For internal use only.

## Public Attributes

std::vector< vec3f > | coord
| Text geometry coordinates.
std::vector< int32 > | coord_index
| Text geometry coordinate indices.
std::vector< vec3f > | normal
| Text geometry normals.
std::vector< vec2f > | tex_coord
| Text geometry texture coordinates.

## Member Data Documentation

std::vector< vec3f > openvrml::vrml97_node::text_node::text_geometry::coord

| Text geometry coordinates.

std::vector< int32 > openvrml::vrml97_node::text_node::text_geometry::coord_index

| Text geometry coordinate indices.

std::vector< vec3f > openvrml::vrml97_node::text_node::text_geometry::normal

| Text geometry normals.

std::vector< vec2f > openvrml::vrml97_node::text_node::text_geometry::tex_coord

| Text geometry texture coordinates.